package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.SystemConfig;


/**
*  service接口类
*/
public interface SystemConfigService{

    List<SystemConfig> getSystemConfigList(SystemConfig record);

    List<SystemConfig> getSystemConfigByPage(Page page, SystemConfig record);

    SystemConfig getSystemConfigById(String id);

    SystemConfig getSystemConfig(SystemConfig record);

    boolean createSystemConfig(SystemConfig record);

    boolean deleteSystemConfig(SystemConfig record);

    boolean updateSystemConfig(SystemConfig record);
}

